Docs

Identities

Endpoints for managing clients and users. Both clients and users support metadata which can be used to store arbitrary key-value pairs. Note that when updating a client or user, metadata will replace the existing metadata and not be merged with it.

Get clients Embed Core and above

Use this endpoint to get a paginated list of client identifiers.

GET/v1/headless/clients

Query parameters

FieldTypeRequiredDefaultDescriptionOptions
lengthnumberNo100
pagenumberNo0

Get client Embed Core and above

Use this endpoint to get a client by identifier.

GET/v1/headless/client/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable client identifier

Get users Embed Core and above

Use this endpoint to get a paginated list of users. You can optionally filter by clientIdentifier.

GET/v1/headless/users

Query parameters

FieldTypeRequiredDefaultDescriptionOptions
lengthnumberNo100
pagenumberNo0
clientIdentifierstringNo

Get user Embed Core and above

Use this endpoint to get a user by identifier.

GET/v1/headless/user/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable user identifier

Update client Embed Core and above

Use this endpoint to update a client's metadata.

PUT/v1/headless/client/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable client identifier

Body parameters

FieldTypeRequiredDescOptions
metadataobjectNoArbitrary metadata to attach to the client

Delete client Embed Automate and above

Use this endpoint to delete all objects associated with a clientIdentifier.

DELETE/v1/headless/client/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable client identifier

Update user Embed Core and above

Use this endpoint to update a user's metadata.

PUT/v1/headless/user/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable user identifier

Body parameters

FieldTypeRequiredDescOptions
clientIdentifierstringNoThe client this user belongs to
metadataobjectNoArbitrary metadata to merge onto the user
namestringNoDisplay name (shorthand for metadata.name)
avatarstringNoAvatar URL (shorthand for metadata.avatar)

Delete user Embed Automate and above

Use this endpoint to delete a user by their identifier. You can choose what to do with any courses associated with this identifier.

DELETE/v1/headless/user/{identifier}

Path parameters

FieldDescriptionOptions
identifierYour stable user identifier

Query parameters

FieldTypeRequiredDefaultDescriptionOptions
clientIdentifierstringNo
actionstringNoreallocatedeleteignore
reallocateTostringNo